import { AsyncSummary } from '../../types/UserReports';
import DataTableBuilder from '../DataTableBuilder/DataTableBuilder';
import { DataTable } from '../DataTableBuilder/types';
declare class SummaryDataTableBuilder extends DataTableBuilder {
    private summary;
    constructor(summary: AsyncSummary, sections?: Array<string>);
    buildSummaryTable(): DataTable;
}
export { SummaryDataTableBuilder };
export default SummaryDataTableBuilder;
